Page MenuHomePhabricator

S6. Flow: Switching from VE to wikitext and back without losing content
Closed, ResolvedPublic2 Story Points

Description

Implement switching back and forth, with a sticky preference.

There is a toggle button that reverses colors (light background in VE mode, black background in wikitext) as the primary switcher.

However, there is a secondary way to switch to VE, clicking the "preview the result" links (see mockups). This is because there is no preview button, and people using wikitext may still want to preview (but we'll just send them to VE).

See T90764: S5. Flow: Integrate VE toolbar in Flow entry fields .

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterEditor switcher

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 7:14 PM
Mattflaschen-WMF renamed this task from Flow: Switching from VE to wikitext and back to Flow: Switching from VE to wikitext and back without losing content.Feb 25 2015, 7:15 PM
Mattflaschen-WMF set Security to None.
EBernhardson triaged this task as High priority.Feb 26 2015, 6:44 PM
EBernhardson added a subscriber: EBernhardson.
DannyH edited a custom field.Mar 2 2015, 7:43 PM
DannyH renamed this task from Flow: Switching from VE to wikitext and back without losing content to S7. Flow: Switching from VE to wikitext and back without losing content.Mar 11 2015, 9:44 PM
DannyH renamed this task from S7. Flow: Switching from VE to wikitext and back without losing content to S6. Flow: Switching from VE to wikitext and back without losing content.
DannyH removed a project: Collaboration-Team-Triage.

what should the interface for switching look like?

Change 197817 had a related patch set uploaded (by Mattflaschen):
Editor switcher

https://gerrit.wikimedia.org/r/197817

@Pginer-WMF's notes from T90764: S5. Flow: Integrate VE toolbar in Flow entry fields :

  • The button to switch between VE and wikitext is shown in green when it is pressed. It should be a regular grey pressed button. Otherwise it competes with the main "publish" action too much.
  • The tooltip for logged-out users should point to the text area. Currently it points to the VE-wikitext switch which makes it confusing.

  • The VE-Wikitext switch is missing its tooltip as illustrated int he mockups on the ticket description above.

Sorry, meant to add that earlier.

Change 197817 merged by jenkins-bot:
Editor switcher

https://gerrit.wikimedia.org/r/197817

DannyH closed this task as Resolved.Apr 7 2015, 12:05 AM
DannyH added a subscriber: DannyH.

Done